\encoding{utf8}
\name{robts-package}
\alias{robts-package}
\docType{package}
\title{
Robust Time Series Analysis
}
\description{
Collection of R functions for robust time series analysis.  This includes various approaches for robust estimation of (partial) autocorrelation, robust filtering, robust fitting of AR(p) processes as well as robust change point detection.
}
\details{
See the main functions \code{\link{acfrob}} for robust estimation of the autocorrelation function, \code{\link{arrob}} for robust fitting of autoregressive (AR) models, \code{\link{spectrumrob}} for robust estimation of the spectral density and \code{\link{changerob}} for robust change point tests.
}
\author{
Alexander \enc{Dürre}{Duerre}, Tobias Liboschik, Jonathan Rathjens and Roland Fried

Maintainer: Alexander \enc{Dürre}{Duerre} <alexander.duerre@tu-dortmund.de>
}
\references{
\enc{Dürre}{Duerre}, A., Fried, R. and Liboschik, T. (2015): Robust estimation of (partial) autocorrelation, \emph{Wiley Interdisciplinary Reviews: Computational Statistics}, vol. 7, 205--222, \doi{10.1002/wics.1351}.

Maronna, R. A., Martin, R. D., and Yohai, V. J. (2006): \emph{Robust Statistics: Theory and Methods}, Wiley, chapter 8, \doi{10.1002/0470010940}.
}
